var changes = false;
jQuery(document).ready(function($){

	$('.qeapps-pwa-icon-browse').click(function(e) {	// Application Icon upload
		e.preventDefault();
		var superpwa_meda_uploader = wp.media({
			title: 'Application Icon',
			button: {
				text: 'Select Icon'
			},
			multiple: false  // Set this to true to allow multiple files to be selected
		})
		.on('select', function() {
			var attachment = superpwa_meda_uploader.state().get('selection').first().toJSON();
			$('.qeapps-pwa-icon-url').val(attachment.url);
		})
		.open();
	});

	$('.qeapps-pwa-splash-icon-browse').click(function(e) {	// Splash Screen Icon upload
		e.preventDefault();
		var superpwa_meda_uploader = wp.media({
			title: 'Splash Screen Icon',
			button: {
				text: 'Select Icon'
			},
			multiple: false  // Set this to true to allow multiple files to be selected
		})
		.on('select', function() {
			var attachment = superpwa_meda_uploader.state().get('selection').first().toJSON();
			$('.qeapps-pwa-splash-icon-url').val(attachment.url);
		})
		.open();
	});

	$('.qeapps-pwa-color-picker').wpColorPicker();	// Color picker

    $('.qeapps-pwa-color-picker').wpColorPicker('option','change',function(event, ui) {
  		changes = true;
  	});

	$('.qe-apps-pwa-short-name').on('input', function(e) {
		if ( $('.qe-apps-pwa-short-name').val().length > 15 ) {

			$('.qe-apps-pwa-short-name').css({'color': '#dc3232'});
			$('#qe-apps-pwa-short-name-limit').css({'color': '#dc3232'});
		} else {

			$('.qe-apps-pwa-short-name').css({'color': 'inherit'});
			$('#qe-apps-pwa-short-name-limit').css({'color': 'inherit'});
		}
	});

	var url = window.location.href; 

    if(url.indexOf('#general-settings') > -1){
        document.getElementById("qeappspwa-default").click();
    }else if(url.indexOf('#pwahelp-settings') > -1){
        document.getElementById("qeappspwa-pwahelp").click();
    }else{	
    	document.getElementById("qeappspwa-default").click();
    }

});

function qeappspwaTab(evt, tabName) {
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("qeappspwa-tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }
    tablinks = document.getElementsByClassName("qeappspwa-tablinks");
    for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
    }
    document.getElementById(tabName).style.display = "block";
    evt.currentTarget.className += " active";
}

function phonetab(evt, tabName) {
  var i, tabcontent, tablinks;
  tabcontent = document.getElementsByClassName("qeappspwa-phonecontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }
  tablinks = document.getElementsByClassName("qeappspwa-phonetab");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }
  document.getElementById(tabName).style.display = "block";
  evt.currentTarget.className += " active";
}
